%define ver_major 2.30

%def_disable gtk_doc
%def_disable xevie
%def_enable libusb_input

Name: gok
Version: %ver_major.1
Release: alt1

Summary: GOK is a GNOME On-screen Keyboard
License: %lgpl2plus
Group: Graphical desktop/GNOME
Url: http://www.gok.ca

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Requires: scrollkeeper
Requires(post,preun): GConf

BuildPreReq: rpm-build-gnome rpm-build-licenses

# From configure.in
BuildPreReq: intltool >= 0.40.0
BuildPreReq: gnome-common
BuildPreReq: libXt-devel libXi-devel libXext-devel
%if_enabled xevie
BuildPreReq: libXevie-devel
%endif
BuildPreReq: scrollkeeper
BuildPreReq: gtk-doc >= 1.0
BuildPreReq: glib2-devel >= 2.17.4
BuildPreReq: libat-spi-devel >= 1.5.2
BuildPreReq: libbonobo-devel >= 2.5.1
BuildPreReq: libGConf-devel >= 2.16.0
BuildPreReq: libatk-devel >= 1.3.0
BuildPreReq: libgtk+2-devel >= 2.14.0
BuildPreReq: libwnck-devel >= 2.13.5
BuildPreReq: libgail-devel libdbus-glib-devel gnome-speech-devel
BuildPreReq: libcanberra-gtk2-devel libxml2-devel libpopt-devel
%if_enabled libusb_input
BuildPreReq: libusb-devel
%endif

%description
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems. It features Direct Selection,
Dwell Selection, Automatic Scanning and Inverse Scanning access methods
and includes word completion.

%package devel
Summary: Development files for GOK
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files and libraries for the GNOME
On-screen Keyboard (GOK).

%package devel-doc
Summary: Development documentation for GOK
Group: Development/C
BuildArch: noarch
Conflicts: %name-devel < %version

%description devel-doc
This package contains development documentation for the GNOME
On-screen Keyboard (GOK).

%prep
%setup -q

%build
%configure \
    %{subst_enable xevie} \
    --enable-logging-exceptional \
    %{?_disable_libusb_input:--disable-libusb-input} \
    --disable-schemas-install \
    %{?_enable_gtk_doc:--enable-gtk-doc}

# SMP-incompatible build
%make

%install
%makeinstall

# fix schemas
subst 's,%buildroot,,g' %buildroot%gconf_schemasdir/*

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%bonobo_serversdir/*
%_desktopdir/*
%dir %_datadir/%name
%_datadir/%name/*
%_liconsdir/%name.png
%_pixmapsdir/*
%_datadir/sounds/freedesktop/stereo/goksound*
%config %gconf_schemasdir/*
%doc README AUTHORS NEWS ChangeLog

%files devel
%_pkgconfigdir/*

%files devel-doc
%_datadir/gtk-doc/html/*

%exclude %_iconsdir/hicolor/icon-theme.cache

%changelog
* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Tue Mar 30 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Mon Oct 19 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.1-alt1
- 2.28.1

* Thu Sep 24 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Fri Apr 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt2
- disabled xevie, libusb support

* Sun Mar 22 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0

* Mon Dec 29 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt3
- updated buildreqs

* Mon Dec 08 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt2
- removed obsolete %%post{,un} scripts
- documentation moved to separate noarch subpackage

* Thu Oct 02 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.0-alt1
- 2.24.0

* Thu Jul 24 2008 Yuri N. Sedunov <aris@altlinux.org> 1.4.0-alt1
- new version
- updated BuildReqs
- really enable xevie
- don't rebuild documentation

* Tue Jun 17 2008 Alexey Rusakov <ktirf@altlinux.org> 1.3.7-alt3
- fixed the lack of %%update_menus/%%clean_menus in install scripts (thanks
  to repocop).

* Mon Jun 16 2008 Alexey Rusakov <ktirf@altlinux.org> 1.3.7-alt2
- Scrollkeeper files are no more generated now that librarian replaced it
  (lack of them broke the build, however).

* Mon Feb 25 2008 Alexey Rusakov <ktirf@altlinux.org> 1.3.7-alt1
- New version (1.3.7).
- Spec cleanup.
- Updated dependencies.
- Use more RPM macros.

* Mon May 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.0.8-alt2
- fixed Bug #9562.

* Thu May 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.0.8-alt1
- new version (1.0.8)
- revised dependencies.

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.0.7-alt1
- new version (1.0.7)
- spec cleanup
- removed Debian menu support.

* Sun Nov 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.0.5-alt2
- Fixed a non-existent macro in the spec.

* Tue Sep 06 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.5-alt1.1
- rebuild with libwnck.

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Wed Apr 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Thu Mar 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1.1
- rebuild against new libwnck.

* Thu Feb 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1.

* Mon Feb 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Sat Feb 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.12.4-alt1
- 0.12.4

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.11.16-alt1
- 0.11.16

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.10-alt1
- 0.9.10

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Tue Sep 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- First build for Sisyphus.
